Release ping users from edit summary in production
Closed, ResolvedPublic1 Story Points

Description

Now that ping users from edit summary is on the beta cluster, we should get them on production after QA (T188465) is done.

Restricted Application added a subscriber: Aklapper. · View Herald TranscriptFeb 27 2018, 11:41 PM
TBolliger set the point value for this task to 1.Feb 28 2018, 12:29 AM
TBolliger edited projects, added Community-Tech-Sprint; removed Community-Tech.
TBolliger triaged this task as Normal priority.
TBolliger added a subscriber: TBolliger.

Also: set a meeting to train Leon and Sam how to release.

He7d3r added a subscriber: He7d3r.Mar 2 2018, 1:08 PM
TBolliger changed the task status from Open to Stalled.Mar 5 2018, 10:06 PM
TBolliger claimed this task.

Discussing release, given the edit summary length ongoing issue.

TBolliger removed TBolliger as the assignee of this task.Mar 6 2018, 12:06 AM
TBolliger changed the task status from Stalled to Open.

Not stalled. This already went out in TechNews, we will just want to announce on Village Pump immediately when this releases to avoid any backlash.

QA is done, but let's still get an "all clear" on IRC before enabling, as we may want to address T188960: Figure out which bots mention users in summaries, how often, and decide how 'Edit summary pings' should handle bots

MusikAnimal added subscribers: MaxSem, MusikAnimal.EditedMar 7 2018, 8:09 PM

If it's easy (which I think @MaxSem said it was), could we possibly do T189067 before releasing? Then we can let folks know they have a way to link without pinging, and this would address the Twinkle use case, specifically.

If it's a small and low-risk task, I'm all for it. But I think we can release without it and add it as a fast follow if there is any risk.

Change 417031 had a related patch set uploaded (by MaxSem; owner: MaxSem):
[mediawiki/extensions/Echo@master] Allow to avoid pinging from summaries by prefixing with :

https://gerrit.wikimedia.org/r/417031

Change 417329 had a related patch set uploaded (by MaxSem; owner: MaxSem):
[operations/mediawiki-config@master] Enable ping from edit summary in prod

https://gerrit.wikimedia.org/r/417329

Change 417329 merged by jenkins-bot:
[operations/mediawiki-config@master] Enable ping from edit summary in prod

https://gerrit.wikimedia.org/r/417329

Niharika closed this task as Resolved.Mar 15 2018, 7:05 PM
Niharika moved this task from Ready to Done on the Community-Tech-Sprint board.
Niharika claimed this task.

Wooo! This is deployed in production now! Thanks @MaxSem for all his work on this.